﻿// Copyright (c) Strange Loop Games. All rights reserved.
// See LICENSE file in the project root for full license information.
// <auto-generated />

namespace Eco.Mods.TechTree
{
    using System;
    using System.ComponentModel;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.Components.Auth;
    using Eco.Gameplay.Interactions;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Objects;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;

    [Serialized]
    [RequireComponent(typeof(PropertyAuthComponent))]
    public partial class Wb1x2Object : WorldObject, IRepresentsItem
    {
        public override LocString DisplayName => Localizer.DoStr("Wooden Bracers 1x2");
        public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;
        public virtual Type RepresentedItemType => typeof(Wb1x2Item);

        protected override void Initialize() { }

        public override void Destroy()
        {
            base.Destroy();
        }
    }

    [Serialized]
    [RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(SolidGroundComponent))]
    public partial class Wb1x3Object : WorldObject, IRepresentsItem
    {
        public override LocString DisplayName => Localizer.DoStr("Wooden Bracers 1x3");
        public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;

        public virtual Type RepresentedItemType => typeof(Wb1x3Item);

        protected override void Initialize() { }

        public override void Destroy()
        {
            base.Destroy();
        }

    }

    [Serialized]
    [RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(SolidGroundComponent))]
    public partial class Wb1x5Object : WorldObject, IRepresentsItem
    {
        public override LocString DisplayName => Localizer.DoStr("Wooden Bracers 1x5");
        public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;

        public virtual Type RepresentedItemType => typeof(Wb1x5Item);

        protected override void Initialize() { }

        public override void Destroy()
        {
            base.Destroy();
        }
    }

    [Serialized]
    [RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(SolidGroundComponent))]
    public partial class Wb3x3Object : WorldObject, IRepresentsItem
    {
        public override LocString DisplayName => Localizer.DoStr("Wooden Bracers 3x3");
        public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;
        public virtual Type RepresentedItemType => typeof(Wb3x3Item);

        protected override void Initialize() { }

        public override void Destroy()
        {
            base.Destroy();
        }
    }

    [Serialized]
    [RequireComponent(typeof(PropertyAuthComponent))]
    [RequireComponent(typeof(SolidGroundComponent))]
    public partial class Wb3x5Object : WorldObject, IRepresentsItem
    {
        public override LocString DisplayName => Localizer.DoStr("Wooden Bracers 3x5");
        public override InteractResult OnActInteract(InteractionContext context) => InteractResult.NoOp;
        public virtual Type RepresentedItemType => typeof(Wb3x5Item);

        protected override void Initialize() { }

        public override void Destroy()
        {
            base.Destroy();
        }
    }

    [Serialized]
    [LocDisplayName("1x2 Wooden Bracers")]
    public partial class Wb1x2Item : WorldObjectItem<Wb1x2Object>
    {
        public override LocString DisplayDescription => Localizer.DoStr("");

        static Wb1x2Item() { }
    }

    [Serialized]
    [LocDisplayName("1x3 Wooden Bracers")]
    public partial class Wb1x3Item : WorldObjectItem<Wb1x3Object>
    {
        public override LocString DisplayDescription => Localizer.DoStr("A 1x3 Wooden Support structure.");

        static Wb1x3Item() { }
    }

    [Serialized]
    [LocDisplayName("1x5 Wooden Bracers")]
    [Category("Hidden"), Tag("NotInBrowser")]
    public partial class Wb1x5Item : WorldObjectItem<Wb1x5Object>
    {
        public override LocString DisplayDescription => Localizer.DoStr("");

        static Wb1x5Item() { }
    }

    [Serialized]
    [LocDisplayName("3x3 Wooden Bracers")]
    [Category("Hidden"), Tag("NotInBrowser")]
    public partial class Wb3x3Item : WorldObjectItem<Wb3x3Object>
    {
        public override LocString DisplayDescription => Localizer.DoStr("");

        static Wb3x3Item() { }
    }

    [Serialized]
    [LocDisplayName("3x5 Wooden Bracers")]
    [Category("Hidden"), Tag("NotInBrowser")]
    public partial class Wb3x5Item : WorldObjectItem<Wb3x5Object>
    {
        public override LocString DisplayDescription => Localizer.DoStr("");

        static Wb3x5Item() { }
    }
}
